---
schema_version: "1"
id: 776136dd2e79b617b0e15fde26577fd6c55a5f464643eb8b358a71078b42b06e
title: Patients (GET, POST, PUT)
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/life_sciences_dev_guide/connect_resources_create_get_update_patients.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_resources_create_get_update_patients.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 032b486cdbd1ed7390dc1cdb581c4d5fed66fec834fa5663e110e35b3867dd74
description: Retrieve the FHIR patient resource record details. Create or update a patient record rather than making multiple separate calls to the objects in Salesforce.
---
# Patients (GET, POST, PUT)

Retrieve the FHIR patient resource record details. Create or update a patient record rather than making multiple separate calls to the objects in Salesforce.

![Note](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/images/icon_note.png)

#### Note

We recommend limiting the number of concurrent requests in your org to five. If you exceed this number, the Patients API request can fail.

The update request deletes all child records associated with a patient and recreates them. For example, when you update a patient record having three PersonName records and five Identifier records as child records, the API first deletes all the PersonName and Identifier child records and then reinserts them. If something goes wrong while updating data, the API rolls back to prevent leaving orphan records behind.

## Resource for POST

/connect/health/patients

## Resource for GET, PUT

/connect/health/patients/${patientId}

## Example URI

/services/data/v53.0/connect/health/patients/001x0000005CQbtAAG

## Available Version

53.0

## Requires Chatter

No

## HTTP Methods

GET, POST, PUT

## Response Body for GET

[Patient Get Output](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_responses_patient_get_output.htm "Output representation of details of a patient record.")

## JSON example

{
  "active": true,
  "identifier": \[
    {
      "assigner": {
        "referenceResource": "Organization",
        "referenceId": "Org12345XYZ"
      },
      "type": {
        "text": "Passport Number",
        "coding": \[
          {
            "display": "Passport number",
            "code": "PPN",
            "isActive": true,
            "use": "Identifier"
          }
        \]
      },
      "value": "ABCD5678XYZ"
    }
  \],
  "name": \[
    {
      "use": "alias",
      "text": "Charles Green",
      "family": "Green",
      "given": "Charles",
      "prefix": "Mr.",
      "suffix": "Sr."
    }
  \],
  "communication": \[
    {
      "language": "English",
      "preferenceRank": 1
    }
  \],
  "address": \[
    {
      "use": "temp",
      "type": "postal",
      "line": "Green Household"
    }
  \],
  "telecom": \[
    {
      "system": "email",
      "value": "a@bc.com"
    }
  \],
  "gender": "male",
  "birthDate": "2000-09-12T18:13:41Z",
  "maritalStatus": "married",
  "contact": \[
    {
      "relationship": {
        "coding": \[
          {
            "display": "Partner"
          }
        \]
      },
      "name": {
        "use": "Temp",
        "text": "Shawna Green",
        "family": "Green",
        "given": "Shawna",
        "prefix": "Mrs.",
        "suffix": "Jr."
      },
      "telecom": \[
        {
          "system": "email",
          "value": "c@de.com"
        },
        {
          "system": "phone",
          "value": "12345678",
          "use": "temp",
          "rank": 1
        }
      \],
      "address": {
        "use": "temp",
        "type": "postal",
        "line": "Green Household"
      }
    }
  \],
  "generalPractitioner": \[
    {
      "referenceResource": "Practitioner",
      "referenceId": "PRAC789XYZ",
      "relationship": "Plastic Surgeon"
    }
  \],
  "managingOrganisation": {
    "referenceResource": "Organization",
    "referenceId": "MI9007GBE"
  }
}

## Properties

| Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| active | Boolean | Indicates whether the patient record is active or not. | Optional | 53.0 |
| additional​Information | [Custom Field Value Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_custom_field_value.htm "Adds additional information to any fields not mapped by the medication statement API.")\[\] | Adds additional information to any fields not mapped in this API. | Optional | 53.0 |
| address | [FHIR Address Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_fhir_address.htm "Input representation for the Address FHIR object.")\[\] | The address of the patient. | Optional | 53.0 |
| birthDate | String | The date of birth of the patient. | Optional | 53.0 |
| communication | [Patient Communication Language Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_patient_communication_language.htm "Input representation of the patient communication language.")\[\] | The languages of communication associated with the patient. | Optional | 53.0 |
| contact | [Contact Party For Patient Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_patient_contact_party.htm "The input representation of the patient contact party.")\[\] | The contact associated with the patient record, modeled as a person account. Contacts are connected to patients using the Contact​Contact​Relation\_\_c junction object. | Optional | 53.0 |
| deceased​​​DateTime | String | The date and time of the patient’s death. | Optional | 53.0 |
| gender | String | The gender of the patient. | Optional | 53.0 |
| general​Practitioner | [FHIR Reference Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_fhir_reference.htm "The input representation for the Reference FHIR object.")\[\] | The practitioners associated with the patient, modeled as either person accounts or Contacts and HealthcareProvider records. Practitioners are connected to patients using the Contact​Contact​Relation\_\_c junction object​. | Optional | 53.0 |
| identifier | [FHIR Identifier Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_fhir_identifier.htm "The input representation of the Identifier FHIR object.")\[\] | The identifier information for the patient, stored as Identifier records that reference the patient record using their Identifier​.Parent​RecordId field. | Optional | 53.0 |
| managing​Organisation | [FHIR Reference Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_fhir_reference.htm "The input representation for the Reference FHIR object.") | The organization that manages the patient record, referenced using a lookup to the Account object. Managing organizations are connected to patients using the Account​Contact​Relation​ junction object​. | Optional | 53.0 |
| maritalStatus | String | The current marital status of the patient. | Optional | 53.0 |
| multiple​BirthInteger | Integer | The birth order of the patient, in the event that the patient was a part of a multiple birth event. | Optional | 53.0 |
| name | [FHIR Human Name Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_fhir_human_name.htm "The input representation for the name of a person and all its associated metadata.")\[\] | The names of the patient, stored as a PersonName record. | Optional | 53.0 |
| sourceSystemId | String | The source system ID associated with a patient record. | Optional | 53.0 |
| telecom | [FHIR Contact Point Input](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_requests_fhir_contact_point.htm "Input representation for the ContactPoint FHIR object.")\[\] | Contact details of the patient, such as phone numbers and email addresses. These contact details are stored as Contact​Point​Phone records that reference the patient records using their Contact​Point​Phone​.ParentId field. | Optional | 53.0 |

## Response Body for POST

[Patient Upsert Output](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_responses_patient_upsert_output.htm "Output representation of result after a Patient FHIR resource is created.")

## Response Body for PUT

[Patient Update Output](https://developer.salesforce.com/docs/atlas.en-us.life_sciences_dev_guide.meta/life_sciences_dev_guide/connect_responses_patient_update_output.htm "Output representation of result after a Patient FHIR resource is updated.")